/**********************************************************************

	$Id: new.h,v 1.1 2025/01/26 02:31:39 warme Exp $

	File:	new.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Memory allocation.

***********************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef NEW_H
#define NEW_H

#include <stddef.h>

/*
 * Macros for allocating memory in "type safe" manner.
 */

#define NEW(T)	((T *) new (sizeof (T)))

#define NEWA(N,T)	((T *) new ((N) * sizeof (T)))

#define FREE(p) \
	do { if ((p) NE NULL) { free ((void *) (p)); } } while (FALSE)

extern void *	new (size_t nbytes);

#endif
