/***********************************************************************

	File:	sthgp_sec_cd2_dx.h
	Rev:	a-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	Compute various functions associated with delta-x values
	for STHGP(n) subtour Centroid Distance squared.

************************************************************************

	Modification Log:

	a-1:	11/07/2015	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef STHGP_SEC_CD2_DX_H
#define	STHGP_SEC_CD2_DX_H

#include <gmp.h>

/*
 * Compute Delta_x_1(n,k).
 */

extern void	sthgp_subtour_cd2_dx_Delta_x_1 (mpq_ptr value, int n, int k);

/*
 * Compute Delta_x_2(n,k).
 */

extern void	sthgp_subtour_cd2_dx_Delta_x_2 (mpq_ptr value, int n, int k);

/*
 * Compute TAU(n,k).
 */

extern void	sthgp_subtour_cd2_dx_TAU (mpq_ptr value, int n, int k);

#endif
