/**********************************************************************

	$Id: new.c,v 1.1 2025/01/26 02:31:43 warme Exp $

	File:	new.c
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Memory allocation.

***********************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

***********************************************************************/

#include "new.h"

#include "logic.h"
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>

/*
 * Allocate memory.
 */

	void *
new (

size_t		nbytes		/* IN: number of bytes to allocate */
)
{
void *		p;

	if (nbytes <= 0) {
		nbytes = 1;
	}
	p = malloc (nbytes);
	if (p EQ NULL) {
		fprintf (stderr, "Out of memory.\n");
		exit (1);
	}
	return (p);
}
