#***********************************************************************
#
#	$Id: small_n_sthgp_epr.gp,v 1.2 2025/04/13 18:44:28 warme Exp $
#
#	File:	small_n_sthgp_epr.gp
#	Rev:	a-2
#	Date:	04/13/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for small N STHGP EPR plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#	a-2:	04/13/2025	warme
#		: Increase font size.
#
#***********************************************************************

set xrange [-0.05:1.05]
set xtics ("0" 0.0, "" 0.25, "" 0.5, "" 0.75, "n" 1.0)
set xlabel "Subtour Size k"
set yrange [-1.5:0.0]
set ylabel "log10(Extreme Point Ratio)"
set grid
set key bottom right

set term postscript color eps solid fontscale 1.75
set output "small_n_sthgp_epr_color.eps"

plot "small_n_sthgp_epr_03.dat" using 1:2 title "n=3" with points ps 1, \
     "small_n_sthgp_epr_04.dat" using 1:2 title "n=4" with lines ls 1, \
     "small_n_sthgp_epr_05.dat" using 1:2 title "n=5" with lines ls 2, \
     "small_n_sthgp_epr_06.dat" using 1:2 title "n=6" with lines ls 3, \
     "small_n_sthgp_epr_07.dat" using 1:2 title "n=7" with lines ls 4, \
     "small_n_sthgp_epr_08.dat" using 1:2 title "n=8" with lines ls 5, \
     "small_n_sthgp_epr_09.dat" using 1:2 title "n=9" with lines ls 6, \
     "small_n_sthgp_epr_10.dat" using 1:2 title "n=10" with lines ls 7, \
     "small_n_sthgp_epr_11.dat" using 1:2 title "n=11" with lines ls 8, \
     "small_n_sthgp_epr_12.dat" using 1:2 title "n=12" with lines ls 9

set term postscript mono eps fontscale 1.75
set output "small_n_sthgp_epr_mono.eps"

plot "small_n_sthgp_epr_03.dat" using 1:2 title "n=3" with points ps 1, \
     "small_n_sthgp_epr_04.dat" using 1:2 title "n=4" with lines ls 1, \
     "small_n_sthgp_epr_05.dat" using 1:2 title "n=5" with lines ls 2, \
     "small_n_sthgp_epr_06.dat" using 1:2 title "n=6" with lines ls 3, \
     "small_n_sthgp_epr_07.dat" using 1:2 title "n=7" with lines ls 4, \
     "small_n_sthgp_epr_08.dat" using 1:2 title "n=8" with lines ls 5, \
     "small_n_sthgp_epr_09.dat" using 1:2 title "n=9" with lines ls 6, \
     "small_n_sthgp_epr_10.dat" using 1:2 title "n=10" with lines ls 7, \
     "small_n_sthgp_epr_11.dat" using 1:2 title "n=11" with lines ls 8, \
     "small_n_sthgp_epr_12.dat" using 1:2 title "n=12" with lines ls 9
