#***********************************************************************
#
#	$Id: stgp_dist2.gp,v 1.2 2025/04/13 18:44:29 warme Exp $
#
#	File:	stgp_dist2.gp
#	Rev:	a-2
#	Date:	04/13/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for STGP CD dx plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#	a-2:	04/13/2025	warme
#		: Increase font size.
#
#***********************************************************************

n = 100
set xrange [2:n-1]
# set logscale y

set grid

set xlabel "Subtour Cardinality k"
set ylabel "Centroid Distance Squared"

set term postscript eps color solid fontscale 1.75
set output "stgp_dist2_color.eps"

plot 2*(x-1)*(n-x)**2/(n**2*x) title "e in E(S)" with lines ls 1, \
     2*(x-1)**2*(n-x)/(n**2 * (n+x-1)) title "e in E - E(S)" with lines ls 2

set term postscript eps mono dashed fontscale 1.75
set output "stgp_dist2_mono.eps"

replot
