#***********************************************************************
#
#	$Id: stgp_sec_dist.gp,v 1.2 2025/04/13 18:44:29 warme Exp $
#
#	File:	stgp_sec_dist.gp
#	Rev:	a-2
#	Date:	04/13/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for STGP CD plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#	a-2:	04/13/2025	warme
#		: Increase font size.
#
#***********************************************************************

# Plot STGP subtour facet centroid distances.

set xrange [-0.05:1.05]
set key rmargin

set xlabel "Subtour Size k"
set ylabel "Centroid Distance"

set xtics out
set xtics in
set xtics ( "0" 0.0, "" 0.1, "" 0.2, "" 0.3, "" 0.4, "" 0.5, "" 0.6, "" 0.7, "" 0.8, "" 0.9, "n" 1.0 )

set term postscript eps color solid fontscale 1.75
set output "stgp_sec_dist_all_color.eps"

plot "stgp_sec_dist_0010.dat" using 1:2 title "n=10"   with lines lc rgbcolor "brown", \
     "stgp_sec_dist_0020.dat" using 1:2 title "n=20"   with lines lc rgbcolor "orange", \
     "stgp_sec_dist_0050.dat" using 1:2 title "n=50"   with lines lc rgbcolor "cyan", \
     "stgp_sec_dist_0100.dat" using 1:2 title "n=100"  with lines lc rgbcolor "magenta", \
     "stgp_sec_dist_0200.dat" using 1:2 title "n=200"  with lines lc rgbcolor "blue", \
     "stgp_sec_dist_0500.dat" using 1:2 title "n=500"  with lines lc rgbcolor "green", \
     "stgp_sec_dist_1000.dat" using 1:2 title "n=1000" with lines lc rgbcolor "red"

set term postscript eps monochrome dashed fontscale 1.75
set output "stgp_sec_dist_all_mono.eps"

plot "stgp_sec_dist_0010.dat" using 1:2 title "n=10"   with lines ls 8, \
     "stgp_sec_dist_0020.dat" using 1:2 title "n=20"   with lines ls 7, \
     "stgp_sec_dist_0050.dat" using 1:2 title "n=50"   with lines ls 5, \
     "stgp_sec_dist_0100.dat" using 1:2 title "n=100"  with lines ls 4, \
     "stgp_sec_dist_0200.dat" using 1:2 title "n=200"  with lines ls 3, \
     "stgp_sec_dist_0500.dat" using 1:2 title "n=500"  with lines ls 2, \
     "stgp_sec_dist_1000.dat" using 1:2 title "n=1000" with lines ls 1
