#***********************************************************************
#
#	$Id: sthgp_subtour_angle_2.gp,v 1.2 2025/04/13 18:44:29 warme Exp $
#
#	File:	sthgp_subtour_angle_2.gp
#	Rev:	a-2
#	Date:	04/13/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for STHGP subtour angle (type 2) plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#	a-2:	04/13/2025	warme
#		: Increase font size.
#
#***********************************************************************

# Plot STHGP subtour angles (type 2: 2 vs k).

set xrange [-0.05:1.05]
set autoscale y
set grid
set key top right
# unset key

set xlabel "Subtour Size k"
set ylabel "Angle (degrees)"

set xtics out
set xtics in
set xtics ( "0" 0.0, "" 0.25, "" 0.5, "" 0.75, "n" 1.0 )


set term postscript eps color solid fontscale 1.75

set output "sthgp_subtour_angle_2_color.eps"

plot "sthgp_subtour_angle_2_0010.dat" using 1:2 title "n=10"	with lines lc rgbcolor "brown", \
     "sthgp_subtour_angle_2_0020.dat" using 1:2 title "n=20"	with lines lc rgbcolor "orange", \
     "sthgp_subtour_angle_2_0050.dat" using 1:2 title "n=50"	with lines lc rgbcolor "cyan", \
     "sthgp_subtour_angle_2_0100.dat" using 1:2 title "n=100"	with lines lc rgbcolor "magenta", \
     "sthgp_subtour_angle_2_0200.dat" using 1:2 title "n=200"	with lines lc rgbcolor "blue", \
     "sthgp_subtour_angle_2_0500.dat" using 1:2 title "n=500"	with lines lc rgbcolor "green", \
     "sthgp_subtour_angle_2_1000.dat" using 1:2 title "n=1000"	with lines lc rgbcolor "red"

set term postscript eps monochrome dashed fontscale 1.75

set output "sthgp_subtour_angle_2_mono.eps"

plot "sthgp_subtour_angle_2_0010.dat" using 1:2 title "n=10"	with lines ls 8, \
     "sthgp_subtour_angle_2_0020.dat" using 1:2 title "n=20"	with lines ls 7, \
     "sthgp_subtour_angle_2_0050.dat" using 1:2 title "n=50"	with lines ls 5, \
     "sthgp_subtour_angle_2_0100.dat" using 1:2 title "n=100"	with lines ls 4, \
     "sthgp_subtour_angle_2_0200.dat" using 1:2 title "n=200"	with lines ls 3, \
     "sthgp_subtour_angle_2_0500.dat" using 1:2 title "n=500"	with lines ls 2, \
     "sthgp_subtour_angle_2_1000.dat" using 1:2 title "n=1000"	with lines ls 1
